#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_NX4C(void)
{
#if (PRO_NX4C)
    if (g_VehicleType == CAR_TYPE_ICV){
        if (GetCluType() == STD_CFG){
            SetTelltalePos("LeftTurn",              LeftTurn);
            SetTelltalePos("SeatBelt",              SeatBelt);
            SetTelltalePos("AirBag",                  AirBag);
            SetTelltalePos("OilPressure",        OilPressure);
            SetTelltalePos("BatteryCharge",    BatteryCharge);
            SetTelltalePos("Mdps",                      Mdps);
            SetTelltalePos("ParkingBreak",      ParkingBreak);
            SetTelltalePos("EPB",                        EPB);
            SetTelltalePos("Tpms",                      Tpms);
            SetTelltalePos("ABS",                        ABS);
            SetTelltalePos("InteriorLamp",      InteriorLamp);
            SetTelltalePos("RightTurn",            RightTurn);
            SetTelltalePos("TailLamp",              TailLamp);
            SetTelltalePos("HBAGreen",              HBAGreen);
            SetTelltalePos("LowBeam",                LowBeam);
            SetTelltalePos("HighBeam",              HighBeam);
            SetTelltalePos("4WD Lock",          Four_WD_Lock);
            SetTelltalePos("RearFog",                RearFog);
            SetTelltalePos("CheckEngine",        CheckEngine);
            SetTelltalePos("4WD Diag",          Four_WD_Diag);
            SetTelltalePos("ESC",                        ESC);
            SetTelltalePos("DpfGpf",                  DpfGpf);
            SetTelltalePos("MasterSymbol",      MasterSymbol);
            SetTelltalePos("EscOff",                  EscOff);
            SetTelltalePos("Immobilizer",        Immobilizer);
            SetTelltalePos("AllLedOpen",          AllLedOpen);
            SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        }
        else {
            SetTelltalePos("InteriorLamp",      InteriorLamp);
            SetTelltalePos("AllLedOpen",          AllLedOpen);
            SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        }
    }
    else {
        if (GetCluType() == STD_CFG){
            SetTelltalePos("LeftTurn",              LeftTurn);
            SetTelltalePos("SeatBelt",              SeatBelt);
            SetTelltalePos("AirBag",                  AirBag);
            SetTelltalePos("OilPressure",        OilPressure);
            SetTelltalePos("BatteryCharge",    BatteryCharge);
            SetTelltalePos("READY",                    READY);
            SetTelltalePos("EV_MODE",                EV_MODE);
            SetTelltalePos("Mdps",                      Mdps);
            SetTelltalePos("RBS",                        RBS);
            SetTelltalePos("ParkingBreak",      ParkingBreak);
            SetTelltalePos("EPB",                        EPB);
            SetTelltalePos("Tpms",                      Tpms);
            SetTelltalePos("ABS",                        ABS);
            SetTelltalePos("InteriorLamp",      InteriorLamp);
            SetTelltalePos("RightTurn",            RightTurn);
            SetTelltalePos("TailLamp",              TailLamp);
            SetTelltalePos("HBAGreen",              HBAGreen);
            SetTelltalePos("LowBeam",                LowBeam);
            SetTelltalePos("HighBeam",              HighBeam);
            SetTelltalePos("RearFog",                RearFog);
            SetTelltalePos("CheckEngine",        CheckEngine);
            SetTelltalePos("ESC",                        ESC);
            SetTelltalePos("DpfGpf",                  DpfGpf);
            SetTelltalePos("MasterSymbol",      MasterSymbol);
            SetTelltalePos("EscOff",                  EscOff);
            SetTelltalePos("Immobilizer",        Immobilizer);
            SetTelltalePos("AllLedOpen",          AllLedOpen);
            SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        }
        else {
            SetTelltalePos("InteriorLamp",      InteriorLamp);
            SetTelltalePos("AllLedOpen",          AllLedOpen);
            SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        }
    }
#endif
}


